# Copyright 2023 Iguazio
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#   http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
"""add requested_logs column and index to runs

Revision ID: 88e656800d6a
Revises: ee041e8fdaa0
Create Date: 2023-01-11 11:21:46.882374

"""
import sqlalchemy as sa
from alembic import op

# revision identifiers, used by Alembic.
revision = "88e656800d6a"
down_revision = "ee041e8fdaa0"
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.add_column("runs", sa.Column("requested_logs", sa.BOOLEAN(), nullable=True))
    op.create_index("ix_runs_requested_logs", "runs", ["requested_logs"], unique=False)
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_index("ix_runs_requested_logs", table_name="runs")
    op.drop_column("runs", "requested_logs")
    # ### end Alembic commands ###
