# Copyright 2023 Iguazio
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#   http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
"""notifications params to secret_params

Revision ID: 114b2c80710f
Revises: 026c947c4487
Create Date: 2023-08-29 10:52:00.586301

"""
import sqlalchemy as sa
from alembic import op

# revision identifiers, used by Alembic.
revision = "114b2c80710f"
down_revision = "026c947c4487"
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    with op.batch_alter_table("runs_notifications") as batch_op:
        batch_op.alter_column(
            column_name="params",
            new_column_name="secret_params",
        )
    # This is performed in a separate step because the previous alteration creates a
    # new temporary table with the "params" column, and we need to add the new "params"
    # column after the old one is renamed.
    with op.batch_alter_table("runs_notifications") as batch_op:
        batch_op.add_column(sa.Column("params", sa.JSON(), nullable=True))
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    with op.batch_alter_table("runs_notifications") as batch_op:
        batch_op.alter_column(
            column_name="secret_params",
            new_column_name="params",
        )
    with op.batch_alter_table("runs_notifications") as batch_op:
        batch_op.drop_column("secret_params")
    # ### end Alembic commands ###
