# Copyright 2023 Iguazio
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#   http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
"""adding next_run_time column to schedule table

Revision ID: 6401142f2d7c
Revises: 64d90a1a69bc
Create Date: 2022-08-16 17:51:41.624145

"""
import sqlalchemy as sa
from alembic import op

# revision identifiers, used by Alembic.
revision = "6401142f2d7c"
down_revision = "64d90a1a69bc"
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    with op.batch_alter_table("schedules_v2") as batch_op:
        batch_op.add_column(sa.Column("next_run_time", sa.TIMESTAMP(), nullable=True))
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    with op.batch_alter_table("schedules_v2") as batch_op:
        batch_op.drop_column("next_run_time")
    # ### end Alembic commands ###
