# Copyright 2023 Iguazio
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#   http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
"""Adding data versions table

Revision ID: accf9fc83d38
Revises: d781f58f607f
Create Date: 2021-10-04 16:05:42.095290

"""
import sqlalchemy as sa
from alembic import op

# revision identifiers, used by Alembic.
revision = "accf9fc83d38"
down_revision = "d781f58f607f"
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table(
        "data_versions",
        sa.Column("id", sa.Integer(), nullable=False),
        sa.Column("version", sa.String(255), nullable=True),
        sa.Column("created", sa.TIMESTAMP(), nullable=True),
        sa.PrimaryKeyConstraint("id"),
        sa.UniqueConstraint("version", name="_versions_uc"),
    )
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_table("data_versions")
    # ### end Alembic commands ###
